# loki.backend.tests.test_fstyle

Functions

`fixture_fcode`() |
`test_fgen_custom_style`(frontend, tmp_path, fcode) | Test a custom Fortran styles of the fgen backend
`test_fgen_default_style`(frontend, tmp_path, ...) | Test the default Fortran styles of the fgen backend
`test_fgen_ifs_style`(frontend, tmp_path, fcode) | Test an IFS-specific Fortran styles of the fgen backend

fixture_fcode()

test_fgen_default_style(frontend, tmp_path, fcode)

  Test the default Fortran styles of the fgen backend

test_fgen_custom_style(frontend, tmp_path, fcode)

  Test a custom Fortran styles of the fgen backend

test_fgen_ifs_style(frontend, tmp_path, fcode)

  Test an IFS-specific Fortran styles of the fgen backend